Bug 445310 - preupgrade breaks while "Downloading installer stage 2"
preupgrade breaks while "Downloading installer stage 2"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 00:04 EDT by Daniel Benamy
Modified: 2008-05-06 11:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Benamy 2008-05-06 00:04:06 EDT
Description of problem:
Everything goes smoothly until the "Download boot images" stage. When the
progress bar gets about 95% across the screen and says "Downloading installer
stage 2..." it stops. The console says:
No package matched to remove
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 198, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 206, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 376, in main_preupgrade
    (mdev,mpath) = preupgrade.bootpath_to_anacondapath(stage2_abs)
TypeError: 'NoneType' object is not iterable

The "No package..." line shows up much earlier.

Version-Release number of selected component (if applicable):
preupgrade-0.9.2-1.fc8

How reproducible:
Every time.

Steps to Reproduce:
1. Run preupgrade.
2. Try to upgrade to rawhide (from fedora 8).
  
Additional info:
Installed with:
# yum --enablerepo=development install preupdate
Comment 1 Daniel Benamy 2008-05-06 00:16:23 EDT
preupgrade-cli has the same problem:

...
Download packages?
Is this ok [y/N]: y
.treeinfo                 100% |=========================|  394 B    00:00 
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 152, in <module>
    util = PreUpgradeCli()
  File "/usr/share/preupgrade/preupgrade-cli.py", line 40, in __init__
    self.main()
  File "/usr/share/preupgrade/preupgrade-cli.py", line 131, in main
    (mdev,mpath) = preupgrade.bootpath_to_anacondapath(stage2_abs)
TypeError: 'NoneType' object is not iterable
Comment 2 Will Woods 2008-05-06 00:21:21 EDT
They use the same backend, so I'd expect them both to have the same problem.

You should try preupgrade-0.9.3, which has some fixes for this problem.  You can get it (for F8) here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=47900
Please retest with that package and let us know if it works.
Comment 3 Daniel Benamy 2008-05-06 11:01:29 EDT
That worked. Thanks!

Note You need to log in before you can comment on or make changes to this bug.